%define pkgname arel
Summary:	Relational Algebra for Ruby
Name:		ruby-%{pkgname}
Version:	3.0.3
Release:	3
License:	MIT/Ruby License
Source0:	http://rubygems.org/downloads/%{pkgname}-%{version}.gem
# Source0-md5:	c4b1aaea8c39cc58613bebcb6d56af4c
Group:		Development/Languages
URL:		http://github.com/brynary/arel
BuildRequires:	rpm-rubyprov
BuildRequires:	rpmbuild(macros) >= 1.665
Requires:	ruby-hoe >= 3.7
Requires:	ruby-minitest >= 4.7
Conflicts:	ruby-hoe >= 4.0
Conflicts:	ruby-minitest >= 5.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Arel is a Relational Algebra for Ruby. It 1) simplifies the generation
complex of SQL queries and it 2) adapts to various RDBMS systems. It
is intended to be a framework framework; that is, you can build your
own ORM with it, focusing on innovative object and collection modeling
as opposed to database compatibility and query generation.

%package rdoc
Summary:	HTML documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie HTML dla %{pkgname}
Group:		Documentation
Requires:	ruby >= 1:1.8.7-4

%description rdoc
HTML documentation for %{pkgname}.

%description rdoc -l pl.UTF-8
Dokumentacja w formacie HTML dla %{pkgname}.

%package ri
Summary:	ri documentation for %{pkgname}
Summary(pl.UTF-8):	Dokumentacja w formacie ri dla %{pkgname}
Group:		Documentation
Requires:	ruby

%description ri
ri documentation for %{pkgname}.

%description ri -l pl.UTF-8
Dokumentacji w formacie ri dla %{pkgname}.

%prep
%setup -q -n %{pkgname}-%{version}

%build
# write .gemspec
%__gem_helper spec

rdoc --ri --op ri lib
rdoc --op rdoc lib
rm ri/created.rid
rm ri/cache.ri

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{ruby_vendorlibdir},%{ruby_ridir},%{ruby_rdocdir}}

cp -a lib/* $RPM_BUILD_ROOT%{ruby_vendorlibdir}
cp -a ri/* $RPM_BUILD_ROOT%{ruby_ridir}
cp -a rdoc $RPM_BUILD_ROOT%{ruby_rdocdir}/%{name}-%{version}

# install gemspec
install -d $RPM_BUILD_ROOT%{ruby_specdir}
cp -p %{pkgname}-%{version}.gemspec $RPM_BUILD_ROOT%{ruby_specdir}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc History.txt README.markdown
%{ruby_vendorlibdir}/%{pkgname}.rb
%{ruby_vendorlibdir}/%{pkgname}
%{ruby_specdir}/%{pkgname}-%{version}.gemspec

%files rdoc
%defattr(644,root,root,755)
%{ruby_rdocdir}/%{name}-%{version}

%files ri
%defattr(644,root,root,755)
%{ruby_ridir}/Arel
%changelog
* Fri Aug 28 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ruby-arel.git;a=log;h=auto/th/ruby-arel-3.0.3-3

* Tue Aug 11 2015 Elan Ruusamäe <glen@delfi.ee> 07082a9
- install to vendor dir; noarch package

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 9f83dcc
- x32 rebuild
- release 2 (by relup.sh)

* Sun Aug 31 2014 Jan Rękorajski <baggins@pld-linux.org> c614d4a
- up to 3.0.3

* Tue Nov 30 2010 aredridel <aredridel@pld-linux.org> 769dce1
- 2.0.5

* Mon Mar 08 2010 Jan Rękorajski <baggins@pld-linux.org> bb45d67
- initial revision

